/*!
 * Custom elements for Nanopore-Digital Web applications
 */
import { proxyCustomElement, HTMLElement } from '@stencil/core/internal/client';

const optionBoxCss = ":host,*,*::before,*::after{box-sizing:border-box}[hidden]{display:none !important}@media (prefers-reduced-motion: reduce){:host,*,*::before,*::after{animation-duration:0.01ms !important;animation-iteration-count:1 !important;transition-duration:0.01ms !important;scroll-behavior:auto !important}}:host,*,*::before,*::after{box-sizing:border-box}[hidden]{display:none !important}@media (prefers-reduced-motion: reduce){:host,*,*::before,*::after{animation-duration:0.01ms !important;animation-iteration-count:1 !important;transition-duration:0.01ms !important;scroll-behavior:auto !important}}";

const NanoOptionBox$1 = /*@__PURE__*/ proxyCustomElement(class NanoOptionBox extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    static get style() { return optionBoxCss; }
}, [0, "nano-option-box"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nano-option-box"];
    components.forEach(tagName => { switch (tagName) {
        case "nano-option-box":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, NanoOptionBox$1);
            }
            break;
    } });
}

const NanoOptionBox = NanoOptionBox$1;
const defineCustomElement = defineCustomElement$1;

export { NanoOptionBox, defineCustomElement };
